package com.webchat.aigc.llm;

import java.util.List;

public abstract class AbstractEmbeddingModel {


    /**
     * 批量同步embedding
     *
     * @param text
     * @return
     */
    public abstract float[] embed(String text) throws Exception;


    /**
     * 批量同步embedding
     *
     * @param texts
     * @return
     */
    public abstract List<float[]> embed(List<String> texts) throws Exception;

}
